Ticket #26 (closed enhancement: fixed)

Opened 7 years ago

Last modified 6 years ago

synch configurations on noitd nodes into the DB

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Ruse
Component: database Severity:
Keywords: Cc:

Description

Have stratcond note their noitd configuration changes and push those into the database.

Change History

06/25/08 13:38:30 changed by jesus

  • milestone changed from Ploy to Ruse.

06/30/08 17:38:00 changed by jesus

(In [312]) implement base64 decoding/encoding, refs #26

06/30/08 17:38:36 changed by jesus

(In [313]) code reuse, pull this into utils, refs #26

07/01/08 13:41:28 changed by jesus

  • status changed from new to assigned.

The approach to this is to leverage the current feed from noitd to stratcond for configuration changes as well. At boot, noitd will add its configuration to the feed and again on any changes. As changes can happen via the console, it is possible to get a stream of 100 or 1000 changes over the course of a few minutes... This seems less than ideal and we need a way to detect quiescence before publishing the new config.

The file is tab delimited with one log per line. While jlog encapsulates this in a fashion that makes it possible to have line feeds in the last element, we don't want to restrict the implementation to publishing only via jlog. Also, configs are big. As such we will output the clean, indented XML, compress it, and base64 encode it with infinite line length. stratcond will undo the transformation and push it into the database.

07/01/08 14:14:25 changed by jesus

(In [315]) fix up insert function for config info, refs #26

07/01/08 14:15:47 changed by jesus

(In [316]) implements configuration pushing into the DB. refs #26

07/01/08 14:16:00 changed by jesus

(In [317]) implements configuration pushing into the DB (need zlib). refs #26

07/09/08 17:42:36 changed by jesus

  • status changed from assigned to closed.
  • resolution set to fixed.